Subject: Re: [PATCH 1/2] [PCI] Check that MWI bit really did get set

From: Matthew Wilcox <[email-masked]>
Date: Sat, 14 Oct 2006 08:02:49 -0600

On Fri, Oct 13, 2006 at 09:41:35PM -0700, Andrew Morton wrote:
> Bisection shows that this patch
> (pci-check-that-mwi-bit-really-did-get-set.patch in Greg's PCI tree) breaks
> suspend-to-disk on my Vaio.  It writes the suspend image and gets to the
> point where it's supposed to power down, but doesn't.

How odd.  What driver is calling pci_set_mwi() on the suspend path?
What drivers do you have loaded on the Vaio?